如何将现有Genesis集成迁移到Adobe Analytics Connector

从Campaign Classicv7 21.1.3版本开始,弃用Adobe Analytics Data Connector。 了解详情

2021年8月1日,Adobe Campaign Classic已从旧版Data Connectors UI中删除,但是,现有的Campaign集成将继续收集数据并将数据传递到Adobe Analytics,直到2022年3月1日为止。 在此日期之后,集成将停止收集数据并将数据传递到Adobe Analytics。

您​必须在AdobeExchange上实施​新的Adobe Analytics连接器集成,该集成取代了旧版Data Connectors集成。 要了解有关Adobe Analytics Connector的更多信息,请参阅此页面

注意

如果对这些更改有任何疑问,请阅读常见问题解答。 有关更多信息,请联系Adobe客户关怀

更改了哪些内容?

Campaign Classicv7与Adobe Analytics之间的新集成现已可用。 下面列出了主要更改。

  • Adobe Campaign Classic与Adobe Analytics身份验证之间的集成已从用户/密码移至AdobeIdentity Management服务(IMS)。 因此,您必须实施Adobe IMS,并通过Adobe ID🔗连接到Campaign ,然后才能开始实施Analytics连接器。

  • 联系日期​分类(使用的类型为日期)已被Adobe Analytics弃用。 对于迁移的集成,它仍将保持相同类型。 对于Campaign创建的任何​联系日期,类型将为​String

  • 处理 规则由Adobe Campaign作为新集成的一部分创建。应从Adobe Analytics手动创建​处理规则,或直接使用客户端Javascript实施。 处理 规则将保持现有集成的原样。

  • 内置的技术工作流及其行为保持不变。 只有工作流用于向Adobe Analytics推送数据/从API的后端API已更改。

  • 请注意,nlserver进程应使用IMS技术帐户用户进行配置,以便新连接器正常工作。 此更改必须通过Adobe完成。 要实施此功能,请联系Adobe客户关怀

  • 如果您是自定义工作流中用于从Adobe Analytics提取和推送数据的Adobe Genesis API,则现在需要使用新的Adobe Analytics 1.4/2.0 API。 了解详情

您是否受影响?

如果您使用现有的Adobe Analytics Data Connector(以前称为Genesis集成),并且该集成的内部版本低于Campaign 21.1.3,则您会受到影响。

在此部分🔗中了解如何检查您的版本。

如何更新?

您需要在2022年3月1日之前升级到Campaign 21.1.3(或更高版本)

作为托管客户,Adobe将与您合作,将您的实例升级到较新版本。 然后,您将能够使用Adobe Analytics连接器

作为内部部署/混合客户,您需要升级到某个较新版本,以便从新集成中受益。
升级所有实例后,您将能够实施到Adobe Analytics Connector的新集成,并确保无缝过渡。

常见问题解答

如何获取日志?

用户界面配置和工作流都配备了​verbose​日志记录。

在详细模式下,还会为每个对Adobe Analytics的API请求打印请求和响应标头。

作为内部部署用户,您可以按如下方式实施详细模式:

  • 要为用户界面启用详细模式,请执行以下操作:以详细模式重新运行web进程。
  • 要为​webAnalytics​工作流启用详细模式,请执行以下操作:从工作流属性中选择​在引擎中执行​选项,然后在详细模式下重新运行wfserver

“集成所有者不是管理员”错误意味着什么?

详细了解此页面中的Data Connectors Integration Owner Not Admin错误。

迁移到新连接器后,旧数据和报表包会发生什么情况?

迁移后,新连接器(从旧连接器迁移)将开始将数据推送到该同一报表包,并且现有数据将不会受到影响:它将添加到现有数据中。

Analytics中存在的某些现有evar/事件/报表包在Campaign中不可见。我该怎么办?

集成依赖于技术帐户令牌中的日常操作数据。 如果与技术帐户用户关联的产品配置文件中缺少对维度/量度/报表包的权限,则我们使用的API在这些请求中将会闪烁。

如果我们正在阅读Analytics组件(如量度/维度/区段/报表包)的详细信息,则API将不会在结果中返回这些组件(这可能看起来类似于在Analytics端删除的内容或不存在)。 Analytics API将拒绝这些请求并发出错误。

解决方案是,通过在Adobe Admin Console中添加新创建/缺少的组件,使用技术用户令牌的Analytics用户上下文中的​产品配置文件​更新这些组件。 有关更多指导,请联系Adobe客户关怀

有用链接

在此页面上